Wireshark Foundation ha publicado las versiones 2.0.13 y 2.2.7 que incluyen la corrección de 12 vulnerabilidades que podrían provocar condiciones de denegación de servicio.

Wireshark es una popular aplicación de auditoría orientada al análisis de tráfico en redes, que soporta una gran cantidad de protocolos y es de fácil manejo. Además Wireshark se encuentra bajo licencia GPL y disponible para la mayoría de sistemas operativos Unix y compatibles, así como Microsoft Windows.

En esta ocasión la fundación Wireshark ha publicado 12 boletines de seguridad (del wnpa-sec-2017-22 al wnpa-sec-2017-33) que afectan a todas las versiones de las ramas 2.2, mientras que nueve afectan a la rama 2.0.

Como es habitual, las vulnerabilidades corregidas residen en denegaciones de servicio por fallos en la implementación de disectores, que son los módulos responsables de analizar los paquetes de cada uno de los protocolos. La lista de los disectores y protocolos afectados incluyen Bazaar (CVE-2017-9352), DOF (CVE-2017-9348), DHCP (CVE-2017-9351), SoulSeek (CVE-2017-9346), DNS (CVE-2017-9345), DICOM (CVE-2017-9349), openSAFETY (CVE-2017-9350), BT L2CAP (CVE-2017-9344), MSNIP (CVE-2017-9343), ROS (CVE-2017-9347), RGMP (CVE-2017-9354), IPv6 (CVE-2017-9353).

De igual forma se han solucionado múltiples problemas no relacionados directamente con vulnerabilidades de seguridad y actualizado el soporte de diferentes protocolos.

Las vulnerabilidades mencionadas se han solucionado en las versiones 2.0.13 y 2.2.7 disponibles para descarga desde la página oficial del proyecto ( https://www.wireshark.org/download.html )

Más información:

Fuente: Hispasec

Anuncios